import { PostReturnType, ConfigOverrideType } from '../types/Hook.types';
/**
 * Hook to execute a post request
 * @param path
 * @param config
 */
declare const usePost: <T extends object, R extends object, P extends string = string>(path: P, config?: ConfigOverrideType | undefined) => PostReturnType<T, R>;
export default usePost;
