import { PostReturnType, ConfigOverrideType } from '../types/Hook.types';
/**
 * Hook to allow execute delete requests, it uses as base the usePost hook
 * @author Alejandro <alejandro.devop@gmail.com>
 * @param path
 * @param config
 */
declare const useDelete: <T extends object, R extends object, P extends string = string>(path: P, config?: ConfigOverrideType | undefined) => PostReturnType<T, R>;
export default useDelete;
