import { PostReturnType, ConfigOverrideType } from '../types/Hook.types';
/**
 * Hook to execute a patch request, it uses as base the usePost hook
 * @author Alejandro <alejandro.devop@gmail.com>
 * @version 1.0.0
 * @param path
 * @param config
 */
declare const usePatch: <T extends object, R extends object, P extends string = string>(path: P, config?: ConfigOverrideType | undefined) => PostReturnType<T, R>;
export default usePatch;
