export { default } from './components/ApiClient';
import useApiSettings from './hooks/useApiSettings';
import useGet from './hooks/useGet';
import useGetLazy from './hooks/useGetLazy';
import usePost from './hooks/usePost';
import usePatch from './hooks/usePatch';
import usePut from './hooks/usePut';
import useDelete from './hooks/useDelete';
import { GetHookReturnType, UseGetOptionsType } from './types/Hook.types';
export { useApiSettings, useGet, useGetLazy, usePost, usePatch, usePut, useDelete, GetHookReturnType, UseGetOptionsType };
